libgle3-dev_3.1.0-7.1_amd64.deb


Advertisement

Description

libgle3-dev - OpenGL tubing and extrusion library development files

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgle3-dev
Package version 3.1.0
Package release 7.1
Package architecture amd64
Package type deb
Installed size 258 B
Download size 54.42 KB
Official Mirror ftp.br.debian.org
The GLE Tubing and Extrusion library is an extension to OpenGL for drawing
tubing and extrusions, including surfaces of revolution, sweeps, tubes,
polycones, polycylinders, and helicoids.  Generally the extruded surface
is specified with a 2D polyline that is extruded along a 3D path.  A local
coordinate system allows for additional flexibility in the primitives
drawn.  Extrusions may be texture mapped in a variety of ways.
This package contains header files and static libraries.

Alternatives

Package Version Architecture Repository
libgle3-dev_3.1.0-7.1_i386.deb 3.1.0 i386 Debian Main
libgle3-dev - - -

Requires

Name Value
libc6-dev -
libgl-dev -
libgl1-mesa-dev -
libgle3 = 3.1.0-7.1

Provides

Name Value
libgle-dev -

Conflicts

Name Value
glutg3-dev << 3.7-13
libgle-dev <= 3.0.7-2

Replaces

Name Value
libgle-dev <= 3.0.7-2

Download

Type URL
Binary Package libgle3-dev_3.1.0-7.1_amd64.deb
Source Package gle

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgle3-dev deb package:
    # sudo apt-get install libgle3-dev

Files

Path
/usr/include/GL/gle.h
/usr/lib/libgle.a
/usr/lib/libgle.so
/usr/share/doc/libgle3-dev/AUTHORS
/usr/share/doc/libgle3-dev/NEWS.gz
/usr/share/doc/libgle3-dev/README
/usr/share/doc/libgle3-dev/changelog.Debian.gz
/usr/share/doc/libgle3-dev/changelog.gz
/usr/share/doc/libgle3-dev/copyright
/usr/share/man/man3/gle.3gle.gz
/usr/share/man/man3/gleExtrusion.3gle.gz
/usr/share/man/man3/gleHelicoid.3gle.gz
/usr/share/man/man3/gleLathe.3gle.gz
/usr/share/man/man3/glePolyCone.3gle.gz
/usr/share/man/man3/glePolyCylinder.3gle.gz
/usr/share/man/man3/gleScrew.3gle.gz
/usr/share/man/man3/gleSetJoinStyle.3gle.gz
/usr/share/man/man3/gleSetNumSides.3gle.gz
/usr/share/man/man3/gleSpiral.3gle.gz
/usr/share/man/man3/gleSuperExtrusion.3gle.gz
/usr/share/man/man3/gleTextureMode.3gle.gz
/usr/share/man/man3/gleToroid.3gle.gz
/usr/share/man/man3/gleTwistExtrusion.3gle.gz

Changelog

2014-10-11 - Peter Michael Green <plugwash@debian.org>
gle (3.1.0-7.1) unstable; urgency=medium
* Non-maintainer upload.
* Update config.sub/guess at build time from autotools-dev to fix FTBFS on
arm64. (closes: 727253)
2009-10-24 - Jamie Wilkinson <jaq@debian.org>
gle (3.1.0-7) unstable; urgency=low
* Bump standards version to 3.8.3.
* Update to debhelper 7.
- Fix build dependency.
- Use dh_prep instead of dh_clean -k.
* Fix obsolete dependencies from xlibmesa-gl-dev.
* Fight injustices.  (Closes: #543436)
* debian/copyright already mentions the Artistic license,
though "at [my] choosing" they are accepted under the
terms of the GPL version 2.  (Closes: #508863)
2007-11-17 - Jamie Wilkinson <jaq@debian.org>
gle (3.1.0-6) unstable; urgency=low
* Acknowledge NMUs.  Thanks Julien and Luk!
(Closes: #322046, #374000, #370178, #346668)
* Lintian-clean the control files.
* Added watch file.
* Bug fix: "diff for 3.1.0-5.2 NMU", thanks to Julien Louis (Closes:
#372589).
* Bug fix: "diff for 3.1.0-5.3 NMU", thanks to Julien Louis (Closes:
#374169).
* Bug fix: "Spelling mistake in package description", thanks to Simon
Waters (Closes: #363608).
* Bug fix: "gle: Please upgrade build-dep from libglut3-dev -&gt;
freeglut3-dev", thanks to Stefan Huehner (Closes: #394495).
* Bug fix: "libgle-doc: Dummy package still needed?", thanks to Javier
Fernández-Sanguino Peña (Closes: #322047).
* Switch to use ${binary:Version} instead of ${Source-Version}.
2006-06-17 - Julien Louis <ptitlouis@sysif.net>
gle (3.1.0-5.3) unstable; urgency=low
* Non-maintainer upload.
* Remove libgle-dev dummy packages (Closes: #322046).
* Add libglu1-mesa-dev to Build-Depends (Closes: #374000).
2006-06-05 - Julien Louis <ptitlouis@sysif.net>
gle (3.1.0-5.2) unstable; urgency=low
* Non-maintainer upload.
* Add libxi-dev to Build-Depends. Thanks to Daniel Schepler
(Closes: #370178).
* Bump Standards-Version. No changes needed.
2006-01-22 - Luk Claes <luk@debian.org>
gle (3.1.0-5.1) unstable; urgency=high
* Non-maintainer upload.
* Split xlibs-dev build-dep (Closes: #346668).
2004-01-20 - Jamie Wilkinson <jaq@debian.org>
gle (3.1.0-5) unstable; urgency=low
* Rework the rules file:
+ add some shiny new bits of DEB_BUILD_OPTS magic
+ don't regenerate the auto* files in the configure stage.  Instead
ship my ones so the build environment is identical for everyone.
+ reformat some ugly parts.
* Cleaned up configure.in and removed acconfig.h so that newer autotools
don't complain about AC_DEFINE macros.
* Remove automake, autoconf, and libtool from the build depends now that
they're not used.
2004-01-14 - Jamie Wilkinson <jaq@debian.org>
gle (3.1.0-4) unstable; urgency=low
* The "sober for the first time in 40 hours, hooray for LCA" release.
* Added a LIBADD to src/Makefile.am so that gle gets linked against
libGL and friends.  (Closes: #220059)
2003-09-21 - Jamie Wilkinson <jaq@debian.org>
gle (3.1.0-3) unstable; urgency=low
* Fixed a FTBFS with libtool 1.5, by forcefully removing the generated
script on clean and rebuilding it.  (Closes: #208962)
Thanks Daniel Shepler.
* Rewrote the descriptions for the libgle-dev and libgle-doc packages,
with some juicy explanation of why these packages exist.
(Closes: #209810, #210075)
* Bumped standards version to 3.6.1, no changes required.
* Added versioned depends on latest version to the dummy packages.
2003-05-22 - Jamie Wilkinson <jaq@debian.org>
gle (3.1.0-2) unstable; urgency=low
* Fixed last dependency on old Mesa GL from before the -gl/-glu split.
* Corrected error in short description for gle-doc.
* Bumped standards version to 3.5.10.
* Recreated ``libgle-dev'' and ``libgle-doc'' package for a smooth
transition from version 3.0.7-2.  (Closes: #194216)

See Also

Package Description
libgle3_3.1.0-7.1_amd64.deb OpenGL tubing and extrusion library
libglee0d1_5.4.0-2_amd64.deb extension loading library for OpenGL
libgles1-mesa-dev_10.3.2-1+deb8u1_amd64.deb free implementation of the OpenGL|ES 1.x API -- development files
libgles1-mesa_10.3.2-1+deb8u1_amd64.deb free implementation of the OpenGL|ES 1.x API -- runtime
libgles2-mesa-dev_10.3.2-1+deb8u1_amd64.deb free implementation of the OpenGL|ES 2.x API -- development files
libgles2-mesa_10.3.2-1+deb8u1_amd64.deb free implementation of the OpenGL|ES 2.x API -- runtime
libglew-dev_1.10.0-3_amd64.deb OpenGL Extension Wrangler - development environment
libglew1.10_1.10.0-3_amd64.deb OpenGL Extension Wrangler - runtime environment
libglewmx-dev_1.10.0-3_amd64.deb OpenGL Extension Wrangler MX - development environment
libglewmx1.10_1.10.0-3_amd64.deb OpenGL Extension Wrangler (Multiple Rendering Contexts)
libglfw-dev_2.7.2-1_amd64.deb header files and static libraries portable framework for OpenGL application development
libglfw2_2.7.2-1_amd64.deb Shared libraries portable framework for OpenGL application development
libglfw3-dev_3.0.4-1_amd64.deb portable library for OpenGL, window and input (development files)
libglfw3-doc_3.0.4-1_all.deb portable library for OpenGL, window and input (documentation)
libglfw3_3.0.4-1_amd64.deb portable library for OpenGL, window and input (libraries)
Advertisement
Advertisement